Skip to content
中文

POST /luma/v1/generations

Method: POSTEndpoint: /luma/v1/generations

Request Parameters

Header Parameters

text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
user_prompt
string
Required
aspect_ratio
string
Required
expand_prompt
boolean
Required
image_url
string
Required
image_end_url
string
Required
Example
{
"user_prompt"
:
"string"
,
"aspect_ratio"
:
"string"
,
"expand_prompt"
:
true
,
"image_url"
:
"string"
,
"image_end_url"
:
"string"
}

Example Request

Shell

bash
curl --location --request POST '/luma/v1/generations' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "user_prompt": "string",
    "aspect_ratio": "string",
    "expand_prompt": true,
    "image_url": "string",
    "image_end_url": "string"
}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
object

Example

json
{}